.button {
  padding: 20px 30px;
  font-size: 1.5rem;
  text-transform: uppercase;
  color: #270051;
  border: none;
  border-radius: 40px;
  cursor: pointer;
  transition: all 0.3s ease;
  outline: none;
}
.button:active {
  transform: scale(0.95);
}
.button:hover {
  color: #ffffff;
}
.button:focus {
  outline: none;
}

.button.fancy {
  background-image: linear-gradient(to right, #6a11cb, #25a2fc);
  border: 2px solid #6a11cb;
  color: #ffffff;
}
.button.fancy:hover {
  background-image: linear-gradient(to right, #25a2fc, #6a11cb);
  border-color: #25a2fc;
  font-weight: bold;
}
.button.fancy:active {
  background-color: #25a2fc;
}

.button.primary {
  background-color: #bb8bff;
  border: 2px solid #4a0099;
}
.button.primary:hover {
  background-color: #270051;
  border-color: #6a11cb;
}
.button.primary:active {
  background-color: #6411be;
}

.button.secondary {
  background-color: #67c0ff;
  border: 2px solid #003861;
}
.button.secondary:hover {
  background-color: #002d51;
  border-color: #0062a8;
}
.button.secondary:active {
  background-color: #0062a8;
}

.button.secondary.letter {
  width: auto;
  max-width: 50px;
  min-width: 30px;
  padding: 5px;
  margin: 2px;
  border-radius: 5px;
}

.button.disabled,
.button.disabled:hover,
.button.disabled:active,
.button.disabled:focus,
.button.not-clickable:active {
  background-color: #737373;
  color: #c3c3c3;
  border: 2px solid #b7b7b7;
  cursor: not-allowed;
  opacity: 0.6;
  box-shadow: none;
  pointer-events: none;
  transition: none;
}

.button.not-clickable {
  cursor: not-allowed;
}

.button.form {
  width: 80%;
  padding: 10px 15px;
}
.button.form.second {
  min-width: 50%;
  width: fit-content;
  font-size: 1.2rem;
}

.button.guess {
  padding: 10px 15px;
  width: 80%;
}

.button.popup {
  padding: 10px 20px;
  margin: 10px 20px;
  color: white;
  background-color: #333;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  outline: none;
  width: 40%;
}
